LayOut C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Data Fields
SUOverlayCreateInfo Struct Reference

Arguments for creating an overlay object. More...

`#include <overlay.h>`

## Data Fields
enum SUOverlayCreateInfoVersion | version
| Version of the struct. This must always be set to SUOVERLAY_CREATE_INFO_VERSION. More...
void * | user_data
const char * | id
| Unique id for the overlay. More...
const char * | name
| Name of the overlay. This will be displayed to user. More...
const char * | desc
| Description of the overlay. This will be displayed to user. More...
const char * | source
| Source of the overlay. This will be displayed to user. More...
enum SUOverlayImageFormat | image_format
| Image format of the overlay color buffer. More...
enum SUOverlayImageOrientation | image_orientation
| Image orientation of the overlay color and depth buffer. More...
SUOverlayStartFuncT | start
| A function that will be called when user enables the overlay. More...
SUOverlayStopFuncT | stop
| A function that will be called when user disables the overlay. More...
SUOverlayGetExtentsFuncT | get_extents
| A function that should return bounds of the overlay. More...
SUOverlayBeginFrameFuncT | begin_frame
| Function that SketchUp will call at the beginning of a frame. More...
SUOverlayDrawFrameFuncT | draw_frame
| Function that SketchUp will call to get overlay buffers and blending information. More...
SUOverlayEndFrameFuncT | end_frame

## Detailed Description

Arguments for creating an overlay object.

## Field Documentation

SUOverlayBeginFrameFuncT SUOverlayCreateInfo::begin_frame

Function that SketchUp will call at the beginning of a frame.

const char* SUOverlayCreateInfo::desc

Description of the overlay. This will be displayed to user.

SUOverlayDrawFrameFuncT SUOverlayCreateInfo::draw_frame

Function that SketchUp will call to get overlay buffers and blending information.

SUOverlayEndFrameFuncT SUOverlayCreateInfo::end_frame

Function that SketchUp will call to signal the resources passed in draw_frame are no longer needed. SUOverlayDrawFrameInfo::color and SUOverlayDrawFrameInfo::depth buffers must be valid until the end_frame callback is called.

SUOverlayGetExtentsFuncT SUOverlayCreateInfo::get_extents

A function that should return bounds of the overlay.

const char* SUOverlayCreateInfo::id

Unique id for the overlay.

enum SUOverlayImageFormat SUOverlayCreateInfo::image_format

Image format of the overlay color buffer.

enum SUOverlayImageOrientation SUOverlayCreateInfo::image_orientation

Image orientation of the overlay color and depth buffer.

const char* SUOverlayCreateInfo::name

Name of the overlay. This will be displayed to user.

const char* SUOverlayCreateInfo::source

Source of the overlay. This will be displayed to user.

SUOverlayStartFuncT SUOverlayCreateInfo::start

A function that will be called when user enables the overlay.

SUOverlayStopFuncT SUOverlayCreateInfo::stop

A function that will be called when user disables the overlay.

void* SUOverlayCreateInfo::user_data

A pointer that will passed directly back into provided callbacks. SketchUp will not access this pointer.

enum SUOverlayCreateInfoVersion SUOverlayCreateInfo::version

Version of the struct. This must always be set to SUOVERLAY_CREATE_INFO_VERSION.

The documentation for this struct was generated from the following file:

- SketchUpAPI/application/overlay.h